# This is a BitKeeper generated diff -Nru style patch.
#
# ChangeSet
#   2004/04/24 02:18:14-04:00 len.brown@intel.com 
#   [ACPI] No IRQ known... - using IRQ 255 (Bjarni Rnar Einarsson)
#   http://bugzilla.kernel.org/show_bug.cgi?id=21
# 
# drivers/acpi/pci_irq.c
#   2004/04/24 02:17:22-04:00 len.brown@intel.com +1 -1
#   ACPI: No IRQ known ... - using IRQ 255 (Bjarni Rnar Einarsson)
#   http://bugzilla.kernel.org/show_bug.cgi?id=2148
# 
diff -Nru a/drivers/acpi/pci_irq.c b/drivers/acpi/pci_irq.c
--- a/drivers/acpi/pci_irq.c	Sat Apr 24 02:18:21 2004
+++ b/drivers/acpi/pci_irq.c	Sat Apr 24 02:18:21 2004
@@ -368,7 +368,7 @@
 	if (!irq) {
 		printk(KERN_WARNING PREFIX "No IRQ known for interrupt pin %c of device %s", ('A' + pin), pci_name(dev));
 		/* Interrupt Line values above 0xF are forbidden */
-		if (dev->irq && dev->irq >= 0xF) {
+		if (dev->irq && (dev->irq <= 0xF)) {
 			printk(" - using IRQ %d\n", dev->irq);
 			return_VALUE(dev->irq);
 		}
